* CHANGES NULL CHARACTERS IN A FILE TO SPACES
** Parameter 1: input file
** Parameter 2: resulting output file
*

include <stdlib.h>
include <stdio.h>

main(int argc, char *argv[]) {
	FILE *fp1, *fp2;
	int c;

	if ((fp1 = fopen(argv[1], r)) == NULL) {
		printf(Error on opening file s\n, argv[1]);
		exit(1);
	}
	if ((fp2 = fopen(argv[2], w)) == NULL) {
		printf(Error on opening file s\n, argv[2]);
		exit(1);
	}
	while (feof(fp1)) {
		if ((c=fgetc(fp1)) == '\0')
			fputc(' ',fp2);
		else if (feof(fp1))
			fputc(c,fp2);
	}
	fclose(fp1);
	fclose(fp2);
}		
		
		
	have been added, deleted, or
                        have changed size.
DGroup.awk              Reads map file and reports total size of DGroup.
FindFile.awk            Compares two file lists and reports which files are
                        common between the two lists.
head.awk                Prints first few lines of each specified file.
nl.awk                  Prints file out with line numbers.
ReadMe.doc              This document.